Bug 962490 - Review Request: octave-dicom - Dicom processing for Octave
Review Request: octave-dicom - Dicom processing for Octave
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 12:14 EDT by Mario Ceresa
Modified: 2013-07-09 03:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-09 03:06:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
orion: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mario Ceresa 2013-05-13 12:14:53 EDT
Spec URL: https://raw.github.com/mrceresa/fedora_medical/master/octave-dicom/octave-dicom.spec
SRPM URL: https://raw.github.com/mrceresa/fedora_medical/master/octave-dicom/octave-dicom-0.1.1-1.fc18.src.rpm
Description: The Octave-forge Image package provides functions for processing 
Digital communications in medicine (DICOM) files.
Fedora Account System Username: mrceresa

This is an interesting package for fedora-medical because it adds dicom processing capabilities to octave.
Comment 2 Mario Ceresa 2013-05-13 12:31:42 EDT
I have some errors with fedora-review that I'm not sure how to solve:

Cannot find COPYING in rpm(s)
W: no-documentation
--> Documentation is split between _sharedir/octave/packages/%name/packinfo and _libdir/octave/packages/%name/%target/doc-cache. Not sure which is the best way to pack it.

W: obsolete-not-provided octave-forge
---> Do I drop the obsolete?

W: hidden-file-or-dir /usr/share/octave/packages/dicom-0.1.1/packinfo/.autoload
E: zero-length /usr/share/octave/packages/dicom-0.1.1/packinfo/.autoload
---> Do I need that file or can I rm it?

W: dangerous-command-in-%preun rm
--> It seems to be related to octave_pkg_preun macro
Comment 3 Orion Poplawski 2013-05-13 12:33:35 EDT
*** Bug 962443 has been marked as a duplicate of this bug. ***
Comment 4 Mario Ceresa 2013-05-13 12:34:43 EDT
I'm not familiar with octave packages, so probably I'll need your help to polish it a bit!
Comment 5 Orion Poplawski 2013-05-13 12:43:50 EDT
(In reply to comment #2)
> I have some errors with fedora-review that I'm not sure how to solve:
> 
> Cannot find COPYING in rpm(s)
> W: no-documentation
> --> Documentation is split between _sharedir/octave/packages/%name/packinfo
> and _libdir/octave/packages/%name/%target/doc-cache. Not sure which is the
> best way to pack it.

You can ignore the warning.

> W: obsolete-not-provided octave-forge
> ---> Do I drop the obsolete?

Yeah, this can probably be removed at this point.
 
> W: hidden-file-or-dir
> /usr/share/octave/packages/dicom-0.1.1/packinfo/.autoload
> E: zero-length /usr/share/octave/packages/dicom-0.1.1/packinfo/.autoload
> ---> Do I need that file or can I rm it?

You need it - it tells octave to load the package by default on startup.

> W: dangerous-command-in-%preun rm
> --> It seems to be related to octave_pkg_preun macro

Yeah, you can ignore.  It's a necessary evil.
Comment 7 Mario Ceresa 2013-05-13 17:13:00 EDT
I see no more problems besides the one you just commented on.

Here there are the koji builds:
* f18: http://koji.fedoraproject.org/koji/taskinfo?taskID=5375385
* rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=5375390
Comment 8 Orion Poplawski 2013-05-13 17:38:53 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

- License is GPLv3+ (not GPLv2+)
- No need for rm -rf %{buildroot} in %install  (I'll get that removed from the template)
- Let's filter out the provides with:

# Exclude .oct files from provides
%global __provides_exclude_from ^%{octpkglibdir}/.*\\.oct$

(I'll try to get that into the template)

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[X]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)". Detailed output of licensecheck in
     /export/home/orion/redhat/octave-dicom-0.1.1/962490-octave-
     dicom/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: octave-dicom-0.1.1-3.fc20.x86_64.rpm
octave-dicom.x86_64: W: no-documentation
octave-dicom.x86_64: W: hidden-file-or-dir /usr/share/octave/packages/dicom-0.1.1/packinfo/.autoload
octave-dicom.x86_64: E: zero-length /usr/share/octave/packages/dicom-0.1.1/packinfo/.autoload
octave-dicom.x86_64: W: dangerous-command-in-%preun rm
1 packages and 0 specfiles checked; 1 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint octave-dicom
octave-dicom.x86_64: W: no-documentation
octave-dicom.x86_64: W: hidden-file-or-dir /usr/share/octave/packages/dicom-0.1.1/packinfo/.autoload
octave-dicom.x86_64: E: zero-length /usr/share/octave/packages/dicom-0.1.1/packinfo/.autoload
octave-dicom.x86_64: W: dangerous-command-in-%preun rm
1 packages and 0 specfiles checked; 1 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
octave-dicom (rpmlib, GLIBC filtered):
    /bin/sh
    libc.so.6()(64bit)
    libcruft.so.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgdcmCommon.so.2.2()(64bit)
    libgdcmDICT.so.2.2()(64bit)
    libgdcmDSED.so.2.2()(64bit)
    libgdcmIOD.so.2.2()(64bit)
    libgdcmMSFF.so.2.2()(64bit)
    libgdcmjpeg12.so.2.2()(64bit)
    libgdcmjpeg16.so.2.2()(64bit)
    libgdcmjpeg8.so.2.2()(64bit)
    libm.so.6()(64bit)
    liboctave.so.1()(64bit)
    liboctinterp.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    octave
    octave(api)
    rtld(GNU_HASH)



Provides
--------
octave-dicom:
    _gendicomdict.oct()(64bit)
    dicomdict.oct()(64bit)
    dicominfo.oct()(64bit)
    dicomlookup.oct()(64bit)
    dicomread.oct()(64bit)
    dicomwrite.oct()(64bit)
    octave-dicom
    octave-dicom(x86-64)



Source checksums
----------------
http://downloads.sourceforge.net/octave/dicom-0.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 692cc509c70e85d94598866190366d0dbc2968bee56fbb998eac940bea62e8fa
  CHECKSUM(SHA256) upstream package : 692cc509c70e85d94598866190366d0dbc2968bee56fbb998eac940bea62e8fa


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 962490 -m fedora-rawhide-x86_64
Comment 10 Orion Poplawski 2013-05-13 18:41:31 EDT
Looks good.  One minor comment - it might be good to comment on the patches in the spec.

Approved.
Comment 11 Mario Ceresa 2013-05-14 05:04:14 EDT
Thanks Orion! I'll comment on the patches before uploading on git
Comment 12 Mario Ceresa 2013-05-14 05:06:30 EDT
New Package SCM Request
=======================
Package Name: octave-dicom
Short Description: Dicom processing for Octave
Owners: mrceresa
Branches: f18 f19
InitialCC:
Comment 13 Gwyn Ciesla 2013-05-14 07:16:10 EDT
Git done (by process-git-requests).
Comment 14 Mario Ceresa 2013-07-09 03:06:05 EDT
I forgot to close this bug when I created the update for F18. I'll close it now. Thanks again Orion for helping with the review!

Best,

Mario

Note You need to log in before you can comment on or make changes to this bug.